/*
 *    Copyright (c) 2018-2025, lengleng All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the yifu4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: lengleng (wangiegie@gmail.com)
 */

package com.yifu.cloud.plus.v1.yifu.archives.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yifu.cloud.plus.v1.yifu.archives.entity.TWorkHandlerInfo;
import com.yifu.cloud.plus.v1.yifu.archives.entity.TWorkHandlerInfoSearchVo;
import com.yifu.cloud.plus.v1.yifu.archives.vo.TWorkHandlerInfoVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 任务处理清单表
 *
 * @author huyc
 * @date 2023-06-15 12:18:28
 */
@Mapper
public interface TWorkHandlerInfoMapper extends BaseMapper<TWorkHandlerInfo> {
    /**
     * 任务处理清单表简单分页查询
     * @param tWorkHandlerInfo 任务处理清单表
     * @return
     */
    IPage<TWorkHandlerInfo> getTWorkHandlerInfoPage(Page<TWorkHandlerInfo> page, @Param("tWorkHandlerInfo") TWorkHandlerInfoSearchVo tWorkHandlerInfo);

	Integer noPageCountDiy(@Param("tWorkHandlerInfo") TWorkHandlerInfoSearchVo tWorkHandlerInfo);

	List<TWorkHandlerInfoVo> noPageDiy(@Param("tWorkHandlerInfo") TWorkHandlerInfoSearchVo tWorkHandlerInfo);
}
