package com.yifu.cloud.plus.v1.ekp.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.cloud.context.config.annotation.RefreshScope;

/**
 * @auther huyc
 * @date 2024/5/24
 * 聚富通基本配置
 */
@RefreshScope
@ConfigurationProperties(prefix = "icbc")
@Data
public class IcbcConfigProperties {

	/**
	 * @Description: 聚富通分配的接入id
	 **/
	private String appId;

	/**
	 * @Description: 聚富通分配的应用方私钥
	 **/
	private String appPrivateKey;

	/**
	 * @Description: 指定环境请求url
	 **/
	private String serverUrl;

	/**
	 * @Description: 网关公钥
	 **/
	private String apigwPublicKey;

	/**
	 * @Description: 应用方加密串
	 **/
	private String aesKey;

	/**
	 * @Description: 企业编号
	 **/
	private String companyNo;

	/**
	 * 异步通知地址
	 */
	private String notifyUrl="/fdd/notifyUrl";

}
