/*
 *    Copyright (c) 2018-2025, lengleng All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the yifu4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: lengleng (wangiegie@gmail.com)
 */

package com.yifu.cloud.plus.v1.yifu.insurances.mapper.insurances;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yifu.cloud.plus.v1.yifu.insurances.entity.TUpdateStatusError;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 同步结算状态的错误表
 *
 * @author huyc
 * @date 2023-01-11 10:26:30
 */
@Mapper
public interface TUpdateStatusErrorMapper extends BaseMapper<TUpdateStatusError> {
    /**
     * 同步结算状态的错误表简单分页查询
     * @param tUpdateStatusError 同步结算状态的错误表
     * @return
     */
    IPage<TUpdateStatusError> getTUpdateStatusErrorPage(Page<TUpdateStatusError> page, @Param("tUpdateStatusError") TUpdateStatusError tUpdateStatusError);
}
