/*
 *    Copyright (c) 2018-2025, lengleng All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the yifu4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: lengleng (wangiegie@gmail.com)
 */

package com.yifu.cloud.plus.v1.msg.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yifu.cloud.plus.v1.msg.entity.MsgInfo;
import com.yifu.cloud.plus.v1.msg.vo.EkpInsertMsgVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 
 *
 * @author fxj
 * @date 2023-06-01 10:41:25
 */
@Mapper
public interface MsgInfoMapper extends BaseMapper<MsgInfo> {
    /**
     * 简单分页查询
     * @param msgInfo 
     * @return
     */
    IPage<MsgInfo> getMsgInfoPage(Page<MsgInfo> page, @Param("msgInfo") MsgInfo msgInfo);

	MsgInfo getMsgByOrderId(@Param("orderId")String orderId);

	List<MsgInfo> getMsgByTask();


	List<MsgInfo> getMsgByTaskOne();

	List<MsgInfo> getMsgInfo(@Param("msgInfo") MsgInfo msgInfo);

	int deleteHandledMsg(@Param("nos")List<String> nos);

	List<String> getOrderNos();

	int insertMsg(@Param("vo") EkpInsertMsgVo vo);

}
