package com.yifu.cloud.plus.v1.yifu.salary.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yifu.cloud.plus.v1.yifu.salary.entity.TSalaryTaxConfig;

import java.util.List;

/**
 * @Author fxj
 * @Description 个税比例及速算扣除数的配置表
 * @Date 13:13 2022/8/6
 * @Param
 * @return
**/
public interface TSalaryTaxConfigService extends IService<TSalaryTaxConfig> {

  /**
   * 个税比例及速算扣除数的配置表简单分页查询
   * @param tSalaryTaxConfig 个税比例及速算扣除数的配置表
   * @return
   */
  IPage<TSalaryTaxConfig> getTSalaryTaxConfigPage(Page<TSalaryTaxConfig> page, TSalaryTaxConfig tSalaryTaxConfig);

  /**
   * @param tSalaryTaxConfig
   * @Description: 获取个税配置
   * @Author: hgw
   * @Date: 2019/10/8 14:39
   * @return: java.util.List<com.yifu.cloud.v1.hrms.api.entity.TSalaryTaxConfig>
   **/
  List<TSalaryTaxConfig> getTaxConfigByPersonList(TSalaryTaxConfig tSalaryTaxConfig);

  /**
   * @param tSalaryTaxConfig
   * @Description: 获取年终奖配置
   * @Author: hgw
   * @Date: 2019/10/8 14:40
   * @return: java.util.List<com.yifu.cloud.v1.hrms.api.entity.TSalaryTaxConfig>
   **/
  List<TSalaryTaxConfig> getTaxConfigByAnnualBonusList(TSalaryTaxConfig tSalaryTaxConfig);

  List<TSalaryTaxConfig> getTaxConfigByActualList(TSalaryTaxConfig tSalaryTaxConfig);


}
