package com.yifu.cloud.plus.v1.yifu.social.constants;

public class DispatchConstants {

    public static final String UPDATE_SOCIAL_AND_FUND_FAIL = "更新社保或公积金办理状态失败！";

    public static final String NO_CONTRACT_INFO = "无合同数据，请补充合同信息后导入（合同名称、合同类型等信息）！";

    public static final String ADD_EMP_CONTRACTOR_FAIL = "新增员工合同失败：";

    public static final String ADD_EMP_FAIL = "新增员工失败：";

    public static final String PARAM_ERROR = "传参有误！";

    public static final String DISPATCH_AUDIT_ERROR = "派单审核异常：";

    public static final String NO_OPERATOR_DATA = "无数据可操作";

    public static final String EMP_CONTRACTOR_SERVER_ERROR = "员工合同新增服务异常！";

    public static final String FUND_REDUCE_FAIL= "公积金派减失败：";

    public static final String EMP_PHONE_INVALID = "档案手机号无效，请更新档案或模板的手机号码！";

    public static final String DISPATCH_PHONE_NOT_EMPTY = "派单手机号不可为空，请更新档案或模板的手机号码！";
	public static final String DISPATCH_ADD = "派增";
	public static final String DISPATCH_REDUCE = "派减";
	public static final String DISPATCH_SOCIAL_ADD = "社保派增";
	public static final String DISPATCH_HANDLE_SUCCESS = "办理成功：";
	public static final String DISPATCH_HANDLE_FAIL = "办理失败：";
	public static final String DISPATCH_FUND_ADD_SUCCESS = "公积金派增办理成功：";
	public static final String DISPATCH_FUND_ADD_FAIL = "公积金派增办理失败：";
	public static final String DISPATCH_FUND_REDUCE = "公积金派减";
	public static final String DISPATCH_SOCIAL_REDUCE = "社保派减";
	public static final String SOCIAL_RECORD_ROSTER_EXPORT = "社保花名册导出";
	public static final String SOCIAL_SOLDIER_EXPORT = "社保士兵导出";
	public static final String SOCIAL_RECORD_EXPORT = "公积金变更清册导出";
	public static final String SOCIAL_MEDICAL_EXPORT = "社保-医疗";
	public static final String SOCIAL_PERSION_EXPORT = "社保-养老三险";
	public static final String DISPATCH_PENSION = "养老、";
	public static final String DISPATCH_MEDICAL = "医疗、";
	public static final String DISPATCH_BIRTH = "生育、";
	public static final String DISPATCH_INJURY = "工伤、";
	public static final String DISPATCH_UNEMP = "失业、";
	public static final String DISPATCH_BIGMAILMENT= "大病、";
	public static final String DISPATCH_FUND= "公积金、";
	public static final String DISPATCH_FUND_REDUCE_SUCCESS = "公积金派减办理成功：";
	public static final String DISPATCH_FUND_REDUCE_FAIL = "公积金派减办理失败：";
	public static final String DISPATCH_SYN_DOC_EXE ="同步人员档案、项目档案的社保公积金状态失败！";
	public static final String DISPATCH_EXCEPTION = "派单办理异常：";
	public static final String FUND_RECORD_EXPORT = "公积金变更清册导出";
	public static final String FUND_SUPPLEMENTARY_EXPORT = "公积金补缴清册";


	/**
     * 社保派单
     * '缴纳类型（0最低、1自定义、2最高） PAYMENT_TYPE
     */
    enum PaymentType {
        LATEST("0", "最低"),
        SHORT("1", "自定义"),
        BATCHADD("2", "最高");

        private String code;
        private String desc;

        PaymentType(String code, String desc) {
            this.code = code;
            this.desc = desc;
        }

        public String getCode() {
            return code;
        }
        public String getDesc() {
            return desc;
        }

    }
    /**
     * 社保
     * @Author fxj
     * @Date 2020-10-13
     * @param null
     * @return
     **/
    public static final String SOCIAL_INFO= "tSocialInfo";
    /**
     * 公积金
     * @Author fxj
     * @Date 2020-10-13
     * @param null
     * @return
     **/
    public static final String PROVIDENT_INFO= "tProvidentFund";

    /**
     * 员工ID传参有误
     * @Author fxj
     * @Date 2020-10-13
     * @param null
     * @return
     **/
    public static final String PARAM_EMPLOYEE_ID_EMPTY = "传参有误：员工ID不可为空";

    /**
     * 无对应员工ID的员工数据
     * @Author fxj
     * @Date 2020-10-13
     * @param null
     * @return
     **/
    public static final String NO_EMPLOYEE_OF_ID = "无对应员工ID的员工信息";

    /**
     * 员工、社保、公积金信息
     * @Author fxj
     * @Date 2020-10-13
     * @param null
     * @return
     **/
    public static final String EMPLOYEE_SOCIAL_FUND_INFO ="员工、社保、公积金信息";

    /**
     * 派单ID不可为空，多个ID请用逗号分割
     * @Author fxj
     * @Date 2020-10-13
     * @param null
     * @return
     **/
    public static final String DISPATCH_ID_NOT_EMPTY ="派单ID不可为空，多个ID请用逗号分割！";

    /**
     * offical
     * @Author fxj
     * @Date 2020-10-13
     * @param null
     * @return
     **/
    public static final String OFFICE = "offical";

    /**
     * add
     * @Author fxj
     * @Date 2020-10-13
     * @param null
     * @return
     **/
    public static final String ADD = "add";

    /**
     * minus
     * @Author fxj
     * @Date 2020-10-13
     * @param null
     * @return
     **/
    public static final String MINUS = "minus";

    /**
     * 更新缴费库薪资结算状态失败
     * @Author fxj
     * @Date 2022-01-13
     * @param null
     * @return
     **/
    public static final String UPDATE_RELATION_FROM_SALARY_FAILED = "更新缴费库薪资结算状态失败，请重新尝试或联系管理人员！";


    public static final String UNIT_PENSION_CARDINAL_NOT_NULL= "单位养老基数不能为空！";

    public static final String UNIT_MEDICAL_CARDINAL_NOT_NULL= "单位医疗基数不能为空！";

    public static final String UNIT_UNEMPLOYMENT_CARDINAL_NOT_NULL= "单位失业基数不能为空！";

    public static final String UNIT_INJURY_CARDINAL_NOT_NULL= "单位工伤基数不能为空！";

    public static final String UNIT_BIRTH_CARDINAL_NOT_NULL= "单位生育基数不能为空！";

    public static final String PERSONAL_PENSION_CARDINAL_NOT_NULL= "个人养老基数不能为空！";

    public static final String PERSONAL_MEDICAL_CARDINAL_NOT_NULL= "个人医疗基数不能为空！";

    public static final String PERSONAL_UNEMPLOYMENT_CARDINAL_NOT_NULL= "个人失业基数不能为空！";

    public static final String UNIT_PENSION_CARDINAL_LIMIT_ERROR= "单位养老基数不可大于上限或小于下限！";

    public static final String UNIT_MEDICAL_CARDINAL_LIMIT_ERROR= "单位医疗基数不可大于上限或小于下限！";

    public static final String UNIT_UNEMPLOYMENT_CARDINAL_LIMIT_ERROR= "单位失业基数不可大于上限或小于下限！";

    public static final String UNIT_INJURY_CARDINAL_LIMIT_ERROR= "单位工伤基数不可大于上限或小于下限！";

    public static final String UNIT_BIRTH_CARDINAL_LIMIT_ERROR= "单位生育基数不可大于上限或小于下限！";

    public static final String PERSONAL_PENSION_CARDINAL_LIMIT_ERROR= "个人养老基数不可大于上限或小于下限！";

    public static final String PERSONAL_MEDICAL_CARDINAL_LIMIT_ERROR= "个人医疗基数不可大于上限或小于下限！";

    public static final String PERSONAL_UNEMPLOYMENT_CARDINAL_LIMIT_ERROR= "个人失业基数不可大于上限或小于下限！";

    public static final String UNIT_FUND_CARDINAL_LIMIT_ERROR= "公积金基数不可大于上限或小于下限！";

    public static final String EMPLOYEE=  "员工：";




}
