/*
 *    Copyright (c) 2018-2025, lengleng All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the yifu4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: lengleng (wangiegie@gmail.com)
 */
package com.yifu.cloud.plus.v1.yifu.social.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.yifu.cloud.plus.v1.yifu.common.core.vo.RowIndex;
import lombok.Data;

import java.io.Serializable;

/**
 * 社保士兵反馈文件解析
 *
 * @author hgw
 * @date 2024-5-9 16:39:10
 */
@Data
public class TSocialSoldierReturnErrorVo extends RowIndex implements Serializable {
	//是否处理完成	是否成功	反馈结果	企业名称	证件类型	身份证号码	姓名	国籍	个人身份	民族	参加工作日期	工资	新增原因	文化程度	户口性质	增员年月	户口所在地	用工形式	手机号码	通讯地址	就业登记时间	单位就业起始时间	合同期限类型	合同起始时间	合同终止日期	录用工种代码	合同签订类别	工作时间制度	养老参保日期	工伤参保日期	失业参保日期	户口所在地行政区划代码	居住所在地行政区划代码	当前经办行政区划代码	补缴原因	资料文件	录屏文件路径	回传信息	回传信息1	回传信息2

	@ExcelProperty("错误信息")
	private String errorInfo;

	@ExcelProperty("是否处理完成")
	private String isDoCompleted;
	@ExcelProperty("是否成功")
	private String isSuccess;
	@ExcelProperty("反馈结果")
	private String msg;
	@ExcelProperty("身份证号码")
	private String idCard;
	// 医保增减
	@ExcelProperty("证件号码")
	private String empIdCard;
}
