/*
 *    Copyright (c) 2018-2025, lengleng All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the yifu4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: lengleng (wangiegie@gmail.com)
 */

package com.yifu.cloud.plus.v1.yifu.social.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yifu.cloud.plus.v1.yifu.social.entity.TAutoPaymentInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 自动化实缴记录表
 *
 * @author fxj
 * @date 2024-05-24 10:56:42
 */
@Mapper
public interface TAutoPaymentInfoMapper extends BaseMapper<TAutoPaymentInfo> {
	/**
	 * 自动化实缴记录表简单分页查询
	 *
	 * @param tAutoPaymentInfo 自动化实缴记录表
	 * @return
	 */
	IPage<TAutoPaymentInfo> getTAutoPaymentInfoPage(Page<TAutoPaymentInfo> page, @Param("tAutoPaymentInfo") TAutoPaymentInfo tAutoPaymentInfo);

	/**
	 * @Description: 获取当前月的主表
	 * @Author: hgw
	 * @Date: 2024/6/4 16:12
	 * @return: com.yifu.cloud.plus.v1.yifu.social.entity.TAutoPaymentInfo
	 **/
	TAutoPaymentInfo getThisMonthMainAuto();

	void setUrlToNullByRePayment(@Param("parentId") String parentId);

}
