/*
 *    Copyright (c) 2018-2025, lengleng All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the yifu4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: lengleng (wangiegie@gmail.com)
 */

package com.yifu.cloud.plus.v1.yifu.social.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yifu.cloud.plus.v1.yifu.social.entity.TProvidentFund;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
/**
 * 公积金信息
 *
 * @author fxj
 * @date 2022-07-15 11:38:05
 */
@Mapper
public interface TProvidentFundMapper extends BaseMapper<TProvidentFund> {
    /**
     * 公积金信息简单分页查询
     * @param tProvidentFund 公积金信息
     * @return
     */
    IPage<TProvidentFund> getTProvidentFundPage(Page<TProvidentFund> page, @Param("tProvidentFund") TProvidentFund tProvidentFund);

    int updateFundInfoById( @Param("tProvidentFund")TProvidentFund providentFund);

    int updateByIdOfAudit(@Param("tProvidentFund")TProvidentFund providentFund);
}
