/*
 *    Copyright (c) 2018-2025, lengleng All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the yifu4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: lengleng (wangiegie@gmail.com)
 */

package com.yifu.cloud.plus.v1.yifu.social.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yifu.cloud.plus.v1.yifu.social.entity.TSocialInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 社保明细表
 *
 * @author fxj
 * @date 2022-07-15 11:38:05
 */
@Mapper
public interface TSocialInfoMapper extends BaseMapper<TSocialInfo> {
    /**
     * 社保明细表简单分页查询
     * @param tSocialInfo 社保明细表
     * @return
     */
    IPage<TSocialInfo> getTSocialInfoPage(Page<TSocialInfo> page, @Param("tSocialInfo") TSocialInfo tSocialInfo);

	/**
	 * @param
	 * @Description: 获取所有需要自动办理的社保
	 * @Author: hgw
	 * @Date: 2024/5/11 14:58
	 * @return: java.util.List<com.yifu.cloud.plus.v1.yifu.social.entity.TSocialInfo>
	 **/
	List<TSocialInfo> getSocialSoldierYgsAll();
	List<TSocialInfo> getSocialSoldierYsdAll();
	/**
	 * @param
	 * @Description: 获取所有需要社保局审核的社保
	 * @Author: hgw
	 * @Date: 2024-5-24 17:07:00
	 * @return: java.util.List<com.yifu.cloud.plus.v1.yifu.social.entity.TSocialInfo>
	 **/
	List<TSocialInfo> getSocialSoldierYgsByAudit();
	List<TSocialInfo> getSocialSoldierYsdByAudit();

	/**
	 * @param addId 任务id
	 * @Description: 根据任务ID，获取需要自动办理的社保
	 * @Author: hgw
	 * @Date: 2024/5/11 15:04
	 * @return: java.util.List<com.yifu.cloud.plus.v1.yifu.social.entity.TSocialInfo>
	 **/
	List<TSocialInfo> getSocialSoldierByAddId(@Param("addId") String addId);

}
