/*
 *    Copyright (c) 2018-2025, lengleng All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the yifu4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: lengleng (wangiegie@gmail.com)
 */
package com.yifu.cloud.plus.v1.yifu.social.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yifu.cloud.plus.v1.yifu.social.entity.TIncomeDetail;
import com.yifu.cloud.plus.v1.yifu.social.mapper.TIncomeDetailMapper;
import com.yifu.cloud.plus.v1.yifu.social.service.TIncomeDetailService;
import lombok.extern.log4j.Log4j2;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 收入明细表-全部明细
 *
 * @author hgw
 * @date 2022-08-30 17:34:58
 */
@Log4j2
@Service
public class TIncomeDetailServiceImpl extends ServiceImpl<TIncomeDetailMapper, TIncomeDetail> implements TIncomeDetailService {

	@Override
	public List<TIncomeDetail> getTIncomeDetailList(TIncomeDetail detail) {
		return baseMapper.getTIncomeDetailList(detail);
	}

	/**
	 * @Description: 获取重复性
	 * @Author: hgw
	 * @Date: 2022/12/5 11:16
	 * @return: int
	 **/
	@Override
	public int getTIncomeDetailRepeat(TIncomeDetail detail) {
		return baseMapper.getTIncomeDetailRepeat(detail);
	}
}
